Loading...
Searching...
No Matches
com::lomiri::content::Store Class Reference

`#include <com/lomiri/content/store.h>`

Inheritance diagram for com::lomiri::content::Store:
Collaboration diagram for com::lomiri::content::Store:

## Public Member Functions

| Store (const QString &uri, QObject *parent=nullptr)
| Store (const Store &)
virtual | ~Store ()
Store & | operator= (const Store &)
virtual Q_INVOKABLE Scope | scope () const
virtual Q_INVOKABLE const Type & | type () const
virtual Q_INVOKABLE const QString & | uri () const

## Protected Member Functions

| Store (Scope scope, const Type &type, const QString &uri, QObject *parent=nullptr)

## Protected Attributes

QSharedPointer< Private > | d

## Properties

QString | uri

## Friends

class | Hub
class | Transfer

## Detailed Description

Definition at line 33 of file store.h.

## Constructor & Destructor Documentation

## Store() [1/3]

com::lomiri::content::Store::Store | ( | const QString & | uri,
|  | QObject * | parent = nullptr )

References Store(), and uri.

Referenced by operator=(), Store(), Store(), Store(), and ~Store().

Here is the call graph for this function:

## Store() [2/3]

com::lomiri::content::Store::Store | ( | const Store & |  | ) |

References Store().

Here is the call graph for this function:

## ~Store()

virtual com::lomiri::content::Store::~Store | ( |  | ) |

virtual

References Store().

Here is the call graph for this function:

## Store() [3/3]

com::lomiri::content::Store::Store | ( | Scope | scope,
|  | const Type & | type,
|  | const QString & | uri,
|  | QObject * | parent = nullptr )

protected

References scope(), Store(), type(), and uri.

Here is the call graph for this function:

## Member Function Documentation

## operator=()

Store & com::lomiri::content::Store::operator= | ( | const Store & |  | ) |

References Store().

Here is the call graph for this function:

## scope()

virtual Q_INVOKABLE Scope com::lomiri::content::Store::scope | ( |  | ) | const

virtual

References scope().

Referenced by scope(), and Store().

Here is the call graph for this function:

## type()

virtual Q_INVOKABLE const Type & com::lomiri::content::Store::type | ( |  | ) | const

virtual

References type().

Referenced by Store(), and type().

Here is the call graph for this function:

## uri()

virtual Q_INVOKABLE const QString & com::lomiri::content::Store::uri | ( |  | ) | const

virtual

References uri.

## Friends And Related Symbol Documentation

## Hub

friend class Hub

friend

Definition at line 52 of file store.h.

References Hub.

Referenced by Hub.

## Transfer

friend class Transfer

friend

Definition at line 53 of file store.h.

References Transfer.

Referenced by Transfer.

## Member Data Documentation

## d

QSharedPointer<Private> com::lomiri::content::Store::d

protected

Definition at line 57 of file store.h.

## Property Documentation

## uri

QString com::lomiri::content::Store::uri

read

Definition at line 37 of file store.h.

Referenced by Store(), Store(), and uri().

The documentation for this class was generated from the following file:

- include/com/lomiri/content/store.h